@ECHO OFF

SETLOCAL

REM InstallOracleVision.bat -- Runs psdi.oa12.InstallOracleVision.
REM
REM   This must be run with MXServer up, and will establish a connection to the 
REM   MXServer.
REM
REM   <USERNAME> and <PASSWORD> should be specified only when using J2EE 
REM   authentication.
REM
REM   <DIRECTORY> is the absolute path from the MXServer to the config.xml in 
REM   the vision directory.  If the MXServer is on a UNIX machine, then switch 
REM   the seperator characters from "\" to "/".
REM
REM   <SERVICEURL> is the http address of the MIC service.
REM
REM   <KEYSTORE> should be specified when using https feature
REM   The path must contain the server key store file
REM   e.g. set KEYSTORE=[key-store-folder]\ServerCredentials.jks

call commonEnv.bat

set JAVA_HOME=..\java\jre

set USERNAME=""
set PASSWORD=""
set DIRECTORY=C:\maximo\tools\maximo\mxintegration\ora\oa12\vision
set SERVICEURL=http://localhost:7001/meaweb/ss/MIC
set set KEYSTORE=""

set JAVA_OPTIONS=-Ddirectory=%DIRECTORY% -Dserviceurl=%SERVICEURL% -Dusername=%USERNAME% -Dpassword=%PASSWORD% -Djavax.net.ssl.trustStore=%KEYSTORE%

%JAVA_HOME%\bin\java %JAVA_OPTIONS% -classpath classes;%MAXIMO_CLASSPATH%;%MAXIMO_MEA_LIBS% psdi.oa12.InstallOracleVision
